package top.imwork.assist.generator.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

/**
 * 〈功能简述〉<br> 
 * 〈配置读取〉
 *
 * @author Administrator
 * @create 2020/4/27 0027
 * @since 1.0.0
 */
@Component
@PropertySource({"classpath:db.properties"})
@EnableConfigurationProperties
public class GeneratorDTO {
    @Value("${commonsPath}")
    private String commonsPath;

    @Value("${mainPath}")
    private String mainPath;

    @Value("${packages}")
    private String packages;

    @Value("${moduleName}")
    private String moduleName;

    @Value("${author}")
    private String author;

    @Value("${email}")
    private String email;

    @Value("${tablePrefix}")
    private String tablePrefix;

    @Value("${tinyint}")
    private String tinyint;

    @Value("${smallint}")
    private String smallint;

    @Value("${mediumint}")
    private String mediumint;

    public String getCommonsPath() {
        return commonsPath;
    }

    public void setCommonsPath(String commonsPath) {
        this.commonsPath = commonsPath;
    }

    public String getMainPath() {
        return mainPath;
    }

    public void setMainPath(String mainPath) {
        this.mainPath = mainPath;
    }

    public String getPackages() {
        return packages;
    }

    public void setPackages(String packages) {
        this.packages = packages;
    }

    public String getModuleName() {
        return moduleName;
    }

    public void setModuleName(String moduleName) {
        this.moduleName = moduleName;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getTablePrefix() {
        return tablePrefix;
    }

    public void setTablePrefix(String tablePrefix) {
        this.tablePrefix = tablePrefix;
    }

    public String getTinyint() {
        return tinyint;
    }

    public void setTinyint(String tinyint) {
        this.tinyint = tinyint;
    }

    public String getSmallint() {
        return smallint;
    }

    public void setSmallint(String smallint) {
        this.smallint = smallint;
    }

    public String getMediumint() {
        return mediumint;
    }

    public void setMediumint(String mediumint) {
        this.mediumint = mediumint;
    }
}